Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class TCTextOptions

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.qtcomponents.TCTextOptions

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class TCTextOptions
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib

See Also:
  Serialized Form

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`TCTextOptions()` Make a TextOptions class for the TimeCoder

Method Summary
`QDColor` | `getBackColor()` Returns the background Color field.
`QDColor` | `getForeColor()` Returns the foreground Color field.
`int` | `getTXFace()` Returns the txFace field.
`int` | `getTXFont()` Returns the txFont field.
`int` | `getTXSize()` Returns the txSize field.
`void` | `setBackColor(QDColor backColor)` Sets the background Color field.
`void` | `setForeColor(QDColor foreColor)` Sets the foreground Color field.
`void` | `setTXFace(int txFace)` Sets the txFace field.
`void` | `setTXFont(int txFont)` Sets the txFont field.
`void` | `setTXSize(int txSize)` Sets the txSize field.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TCTextOptions

    public TCTextOptions()

  Make a TextOptions class for the TimeCoder

Method Detail

### getTXFont

    public int getTXFont()

  Returns the txFont field.
  Returns:
    an int

### setTXFont

    public void setTXFont(int txFont)

  Sets the txFont field.
  Parameters:
    `txFont` - the new font ID

### getTXFace

    public int getTXFace()

  Returns the txFace field.
  Returns:
    an int

### setTXFace

    public void setTXFace(int txFace)

  Sets the txFace field.
  Parameters:
    `txFace` - the new font ID

### getTXSize

    public int getTXSize()

  Returns the txSize field.
  Returns:
    an int

### setTXSize

    public void setTXSize(int txSize)

  Sets the txSize field.
  Parameters:
    `txSize` - the new font ID

### getForeColor

    public QDColor getForeColor()

  Returns the foreground Color field.
  Returns:
    a QDColor

### setForeColor

    public void setForeColor(QDColor foreColor)

  Sets the foreground Color field.
  Parameters:
    `foreColor` - a QDColor

### getBackColor

    public QDColor getBackColor()

  Returns the background Color field.
  Returns:
    a QDColor

### setBackColor

    public void setBackColor(QDColor backColor)

  Sets the background Color field.
  Parameters:
    `foreColor` - a QDColor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD